## com.vividsolutions.jts.operation.overlay
Class EdgeSetNoder

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.EdgeSetNoder

public class EdgeSetNoder
extends java.lang.Object

Nodes a set of edges. Takes one or more sets of edges and constructs a new set of edges consisting of all the split edges created by noding the input edges together

Version:
  1.7

Constructor Summary
`EdgeSetNoder(LineIntersector li)`

Method Summary
`void` `addEdges(java.util.List edges)`
`java.util.List` `getNodedEdges()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeSetNoder

    public EdgeSetNoder(LineIntersector li)

Method Detail

### addEdges

    public void addEdges(java.util.List edges)

### getNodedEdges

    public java.util.List getNodedEdges()